Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class CMYKColor

    java.lang.Object
      java.awt.Color
          com.lowagie.text.pdf.ExtendedColor
              com.lowagie.text.pdf.CMYKColor

All Implemented Interfaces:
  Paint, Transparency, Serializable

    public class CMYKColor

extends ExtendedColor

Author:
  Paulo Soares (psoares@consiste.pt)
See Also:
  Serialized Form

Field Summary
`(package private) float` | `black`
`(package private) float` | `cyan`
`(package private) float` | `magenta`
`private static long` | `serialVersionUID`
`(package private) float` | `yellow`

Fields inherited from class com.lowagie.text.pdf.ExtendedColor
`type, TYPE_CMYK, TYPE_GRAY, TYPE_PATTERN, TYPE_RGB, TYPE_SEPARATION, TYPE_SHADING`

Fields inherited from class java.awt.Color
`BLACK, blue, BLUE, CYAN, DARK_GRAY, darkGray, gray, GRAY, green, GREEN, LIGHT_GRAY, lightGray, MAGENTA, orange, ORANGE, pink, PINK, red, RED, white, WHITE, YELLOW`

Fields inherited from interface java.awt.Transparency
`BITMASK, OPAQUE, TRANSLUCENT`

Constructor Summary
`CMYKColor(float floatCyan, float floatMagenta, float floatYellow, float floatBlack)` Construct a CMYK Color.
`CMYKColor(int intCyan, int intMagenta, int intYellow, int intBlack)` Constructs a CMYK Color beased on 4 colorvalues (values are integers from 0 to 255).

Method Summary
`boolean` | `equals(Object obj)`
`float` | `getBlack()`
`float` | `getCyan()`
`float` | `getMagenta()`
`float` | `getYellow()`
`int` | `hashCode()`

Methods inherited from class com.lowagie.text.pdf.ExtendedColor
`getType, getType, normalize`

Methods inherited from class java.awt.Color
`brighter, createContext, darker, decode, getAlpha, getBlue, getColor, getColor, getColor, getColorComponents, getColorComponents, getColorSpace, getComponents, getComponents, getGreen, getHSBColor, getRed, getRGB, getRGBColorComponents, getRGBComponents, getTransparency, HSBtoRGB, RGBtoHSB, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### cyan

    float cyan

### magenta

    float magenta

### yellow

    float yellow

### black

    float black

Constructor Detail

### CMYKColor

    public CMYKColor(int intCyan,
                     int intMagenta,
                     int intYellow,
                     int intBlack)

  Constructs a CMYK Color beased on 4 colorvalues (values are integers from 0 to 255).

  Parameters:
    `intCyan` -
    `intMagenta` -
    `intYellow` -
    `intBlack` -

### CMYKColor

    public CMYKColor(float floatCyan,
                     float floatMagenta,
                     float floatYellow,
                     float floatBlack)

  Construct a CMYK Color.

  Parameters:
    `floatCyan` -
    `floatMagenta` -
    `floatYellow` -
    `floatBlack` -

Method Detail

### getCyan

    public float getCyan()

  Returns:
    the cyan value

### getMagenta

    public float getMagenta()

  Returns:
    the magenta value

### getYellow

    public float getYellow()

  Returns:
    the yellow value

### getBlack

    public float getBlack()

  Returns:
    the black value

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Color`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Color`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD